Bug Hunting Session
Bug 74838 - Unable to set work path with new registry configuration backend
Summary: Unable to set work path with new registry configuration backend
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-11 12:58 UTC by Dennis Lichtenthäler
Modified: 2016-05-09 20:07 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
minimal registrymodifications.xcu to change the workdir (529 bytes, text/plain)
2014-02-11 12:58 UTC, Dennis Lichtenthäler
Details
registry export derived from registrysettings.xcu (1.78 KB, text/plain)
2014-02-11 12:59 UTC, Dennis Lichtenthäler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Lichtenthäler 2014-02-11 12:58:24 UTC
Created attachment 93862 [details]
minimal registrymodifications.xcu to change the workdir

I'm trying to set a couple of configuration options via the new registry configuration backend, especially the default work path.

I've narrowed the required settings down to what is show in the attached registrymodifications.xcu. Translating that to the registry settings, I end up with what is shown in the attached workdir.reg.

With the registry modifications applied, I see an empty field in the options dialog where the workdir should be. Removing the LibreOffice\org.openoffice.Office.Common\Path\Current\Work tree, the NamedPath['Work'] setting is ignored altogether.
Comment 1 Dennis Lichtenthäler 2014-02-11 12:59:01 UTC
Created attachment 93863 [details]
registry export derived from registrysettings.xcu
Comment 2 Stephan Bergmann 2014-02-11 18:07:50 UTC
> [HKEY_LOCAL_MACHINE\SOFTWARE\Policies\LibreOffice\org.openoffice.Office\Paths\org.openoffice.Office:NamedPath['Work']]
> 
> [HKEY_LOCAL_MACHINE\SOFTWARE\Policies\LibreOffice\org.openoffice.Office\Paths\org.openoffice.Office:NamedPath['Work']\WritePath]
> "Value"="file:///H:/Daten"

For one, these entries should have a "org.openoffice.Office.Paths" segment instead of just "org.openoffice.Office", and for another, if it still doesn't work then, it might help to simplify the set member notation, using just "Work" instead of "org.openoffice.Office:NamedPath['Work']".
Comment 3 Dennis Lichtenthäler 2014-02-12 07:22:54 UTC
(In reply to comment #2)
> For one, these entries should have a "org.openoffice.Office.Paths" segment
> instead of just "org.openoffice.Office", and for another, if it still
> doesn't work then, it might help to simplify the set member notation, using
> just "Work" instead of "org.openoffice.Office:NamedPath['Work']".

I tried all permutations of your suggestions (changing to org.openoffice.Office:Paths and changing org.openoffice.Office.NamedPath['Work'] to Work) but the field was still blank and nothing regarding the work path was written to the registrymodifications.xcu.
Comment 4 bfoman (inactive) 2014-02-12 17:48:09 UTC
A complete LibreOffice adm(x) template file (or at least wiki page) would help a lot with this bug or the other features like in https://bugs.freedesktop.org/show_bug.cgi?id=33655#c12.
Comment 5 Joel Madero 2015-02-22 06:51:58 UTC
hi Dennis - 

Sorry for the long delay. Is this still a problem with 4.4.0.3 ? If so, I'll try to find a developer to confirm the issue. Thanks for your patience and understanding.
Comment 6 Matthew Francis 2015-04-25 03:58:48 UTC
Setting Status to NEEDINFO.

When the requested information has been provided, please set the Status back to UNCONFIRMED so that we can take another look.

Thanks
Comment 7 QA Administrators 2015-12-27 20:30:59 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 8 QA Administrators 2016-05-09 20:07:34 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09